### Constructor

# Aravis Camera new_with_device

since: 0.8.6

#### Declaration [src]

    ArvCamera*
    arv_camera_new_with_device (
      ArvDevice* device,
      GError** error
    )

#### Description [src]

Creates a new `ArvCamera`, using `device` as its internal device object.

Available since: 0.8.6

#### Parameters

`device`

  Type: `ArvDevice`

  A `ArvDevice`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ArvCamera`

A new `ArvCamera`.

The caller of the function takes ownership of the data, and is responsible for freeing it.